QueryNodeError (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.core.QueryNodeError class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.core
Class QueryNodeError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.apache.lucene.queryParser.core.QueryNodeError

All Implemented Interfaces:
  Serializable, NLSException

    public class QueryNodeError

extends Error
implements NLSException

Error class with NLS support

See Also:
  `NLS`, `Message`, Serialized Form

Constructor Summary
`QueryNodeError(Message message)`
`QueryNodeError(Message message, Throwable throwable)`
`QueryNodeError(Throwable throwable)`

Method Summary
`Message` | `getMessageObject()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryNodeError

    public QueryNodeError(Message message)

Parameters:
  `message` - - NLS Message Object

### QueryNodeError

    public QueryNodeError(Throwable throwable)

Parameters:
  `throwable` - - @see java.lang.Error

### QueryNodeError

    public QueryNodeError(Message message,
                          Throwable throwable)

Parameters:
  `message` - - NLS Message Object
  `throwable` - - @see java.lang.Error

Method Detail

### getMessageObject

    public Message getMessageObject()

  Specified by:
    `getMessageObject` in interface `NLSException`
  Returns:
    a instance of a class that implements the Message interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD